# Cisco flash

Collection of plugins for Cisco flash

*  *cisco_flash*: monitors Cisco flash partitions
*  *snmp_cisco_flash*: Inventory plugin for Cisco flash devices

## Check Info *cisco_flash*:

* *service*: this check will create the service *Cisco flash \<parition name\>* for each partition 
* *state*: 
    * **critical** when the space left on the partition is less then 10MB
    * **warning** when the space left on the partiton is less then the *lowspacenotifythreshold*
* *wato*: you can configure warning/critical level in percent of used space
* *perfdata*: 
    * space used
    * \# of files on the partition

Sample output

![sample output](/doc/sample.png?raw=true "sample [SHORT TITLE]")

## Check Info *snmp_cisco_flash*:
Adds infromations about flash devices, partitions and chips to the inventory

* *wato*:
    *  you can disable the 3 parts of the inventory
    *  you can remove unneed columns from the inventory


Sample output

![sample output](/doc/sample_inventory.png?raw=true "sample Cisco flash inventory")

