#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

#
# Check_MK cisco_flash WATO plugin
#
# Author: Th.L.
# Date: 2019-11-04
#
#
#
#

register_check_parameters(
    subgroup_networking,
    'cisco_flash',
    _('Cisco Flash'),
    Dictionary(
        help=_(''),
        elements=[
            ('warn_level_percent',
             Integer(
                 title=_('Warning if above percentage of used space'),
                 label=_('Warning if above percentage of used space'),
                 help=_('Warning if above percentage of used space'),
                 default_value=85,
                 allow_empty=False,
                 minvalue=1,
                 maxvalue=100
             )),
            ('crit_level_percent',
             Integer(
                 title=_('Critical  if above percentage of used space'),
                 label=_('Critical  if above percentage of used space'),
                 help=_('Critical  if above percentage of used space'),
                 default_value=90,
                 allow_empty=False,
                 minvalue=1,
                 maxvalue=100
             )),
        ],
    ),
    TextAscii(title=_('Cisco flash')),
    match_type='dict',
)
